summaryrefslogtreecommitdiff
path: root/tests/chgrp
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chgrp')
-rwxr-xr-xtests/chgrp/basic48
-rwxr-xr-xtests/chgrp/default-no-deref4
-rwxr-xr-xtests/chgrp/deref18
-rwxr-xr-xtests/chgrp/posix-H4
-rwxr-xr-xtests/chgrp/recurse10
5 files changed, 42 insertions, 42 deletions
diff --git a/tests/chgrp/basic b/tests/chgrp/basic
index 9c384ba38..8ce2f2ddc 100755
--- a/tests/chgrp/basic
+++ b/tests/chgrp/basic
@@ -33,53 +33,53 @@ chgrp -R $g1 d || fail=1
d_files='d d/f3'
-chgrp $g1 f || fail=1 ; test `stat --p=%g f` = $g1 || fail=1
-chgrp $g2 f || fail=1 ; test `stat --p=%g f` = $g2 || fail=1
-chgrp $g2 f || fail=1 ; test `stat --p=%g f` = $g2 || fail=1
-chgrp '' f || fail=1 ; test `stat --p=%g f` = $g2 || fail=1
-chgrp $g1 f || fail=1 ; test `stat --p=%g f` = $g1 || fail=1
-chgrp $g1 f || fail=1 ; test `stat --p=%g f` = $g1 || fail=1
-chgrp --reference=f2 f ; test `stat --p=%g f` = $g2 || fail=1
-
-chgrp -R $g2 d ||fail=1; test `stat --p=%g: $d_files` = "$g2:$g2:" || fail=1
-chgrp -R $g1 d ||fail=1; test `stat --p=%g: $d_files` = "$g1:$g1:" || fail=1
-chgrp -R $g2 d ||fail=1; test `stat --p=%g: $d_files` = "$g2:$g2:" || fail=1
-chgrp -R $g1 d ||fail=1; test `stat --p=%g: $d_files` = "$g1:$g1:" || fail=1
-chgrp $g2 d ||fail=1; test `stat --p=%g: $d_files` = "$g2:$g1:" || fail=1
+chgrp $g1 f || fail=1 ; test $(stat --p=%g f) = $g1 || fail=1
+chgrp $g2 f || fail=1 ; test $(stat --p=%g f) = $g2 || fail=1
+chgrp $g2 f || fail=1 ; test $(stat --p=%g f) = $g2 || fail=1
+chgrp '' f || fail=1 ; test $(stat --p=%g f) = $g2 || fail=1
+chgrp $g1 f || fail=1 ; test $(stat --p=%g f) = $g1 || fail=1
+chgrp $g1 f || fail=1 ; test $(stat --p=%g f) = $g1 || fail=1
+chgrp --reference=f2 f ; test $(stat --p=%g f) = $g2 || fail=1
+
+chgrp -R $g2 d ||fail=1; test $(stat --p=%g: $d_files) = "$g2:$g2:" || fail=1
+chgrp -R $g1 d ||fail=1; test $(stat --p=%g: $d_files) = "$g1:$g1:" || fail=1
+chgrp -R $g2 d ||fail=1; test $(stat --p=%g: $d_files) = "$g2:$g2:" || fail=1
+chgrp -R $g1 d ||fail=1; test $(stat --p=%g: $d_files) = "$g1:$g1:" || fail=1
+chgrp $g2 d ||fail=1; test $(stat --p=%g: $d_files) = "$g2:$g1:" || fail=1
rm -f f
touch f
ln -s f symlink
chgrp $g1 f
-test `stat --printf=%g f` = $g1 || fail=1
+test $(stat --printf=%g f) = $g1 || fail=1
# This should not change the group of f.
chgrp -h $g2 symlink
-test `stat --printf=%g f` = $g1 || fail=1
+test $(stat --printf=%g f) = $g1 || fail=1
# Don't fail if chgrp failed to set the group of a symlink.
# Some systems don't support that.
-test `stat --printf=%g symlink` = $g2 ||
+test $(stat --printf=%g symlink) = $g2 ||
echo 'info: failed to set group of symlink' 1>&2
-chown --from=:$g1 :$g2 f; test `stat --printf=%g f` = $g2 || fail=1
+chown --from=:$g1 :$g2 f; test $(stat --printf=%g f) = $g2 || fail=1
# This *should* change the group of f.
# Though note that the diagnostic is misleading in that
# it says the 'group of 'symlink'' has been changed.
-chgrp $g1 symlink; test `stat --printf=%g f` = $g1 || fail=1
-chown --from=:$g1 :$g2 f; test `stat --printf=%g f` = $g2 || fail=1
+chgrp $g1 symlink; test $(stat --printf=%g f) = $g1 || fail=1
+chown --from=:$g1 :$g2 f; test $(stat --printf=%g f) = $g2 || fail=1
# If -R is specified without -H or L, -h is assumed.
-chgrp -h $g1 f symlink; test `stat --printf=%g symlink` = $g1 || fail=1
+chgrp -h $g1 f symlink; test $(stat --printf=%g symlink) = $g1 || fail=1
chgrp -R $g2 symlink
-chown --from=:$g1 :$g2 f; test `stat --printf=%g f` = $g2 || fail=1
+chown --from=:$g1 :$g2 f; test $(stat --printf=%g f) = $g2 || fail=1
# Make sure we can change the group of inaccessible files.
chmod a-r f
-chown --from=:$g2 :$g1 f; test `stat --printf=%g f` = $g1 || fail=1
+chown --from=:$g2 :$g1 f; test $(stat --printf=%g f) = $g1 || fail=1
chmod 0 f
-chown --from=:$g1 :$g2 f; test `stat --printf=%g f` = $g2 || fail=1
+chown --from=:$g1 :$g2 f; test $(stat --printf=%g f) = $g2 || fail=1
# chown() must not be optimized away even when
# the file's owner and group already have the desired value.
@@ -96,7 +96,7 @@ chgrp $g1 f
# ctime is more recent. This is not a big deal;
# this test works fine when the files are on a local file system (/tmp).
chgrp '' f
-test "`ls -C -c -t f g`" = 'f g' || \
+test "$(ls -C -c -t f g)" = 'f g' || \
{
case $host_triplet in
*openbsd*) echo ignoring known OpenBSD-specific chgrp failure 1>&2 ;;
diff --git a/tests/chgrp/default-no-deref b/tests/chgrp/default-no-deref
index d6553077a..5d140a8da 100755
--- a/tests/chgrp/default-no-deref
+++ b/tests/chgrp/default-no-deref
@@ -26,8 +26,8 @@ g2=$2
mkdir d && touch f && ln -s ../f d/s || framework_failure_
-g_init=`stat --printf=%g f`
+g_init=$(stat --printf=%g f)
chgrp -R $g2 d || fail=1
-test `stat --printf=%g f` = $g_init || fail=1
+test $(stat --printf=%g f) = $g_init || fail=1
Exit $fail
diff --git a/tests/chgrp/deref b/tests/chgrp/deref
index 18946b1fa..4c186ee82 100755
--- a/tests/chgrp/deref
+++ b/tests/chgrp/deref
@@ -28,7 +28,7 @@ touch f
ln -s f symlink
chgrp -h $g2 symlink 2> /dev/null
-set _ `ls -ln symlink`
+set _ $(ls -ln symlink)
g=$5
test "$g" = $g2 ||
skip_ "your system doesn't support changing the owner or group" \
@@ -36,25 +36,25 @@ test "$g" = $g2 ||
chgrp $g1 f
-set _ `ls -ln f`; g=$5; test "$g" = $g1 || fail=1
+set _ $(ls -ln f); g=$5; test "$g" = $g1 || fail=1
chgrp -h $g2 symlink || fail=1
-set _ `ls -ln f`; g=$5; test "$g" = $g1 || fail=1
-set _ `ls -ln symlink`; g=$5; test "$g" = $g2 || fail=1
+set _ $(ls -ln f); g=$5; test "$g" = $g1 || fail=1
+set _ $(ls -ln symlink); g=$5; test "$g" = $g2 || fail=1
# This should not change the group of f.
chgrp -h $g2 symlink || fail=1
-set _ `ls -ln f`; g=$5; test "$g" = $g1 || fail=1
-set _ `ls -ln symlink`; g=$5; test "$g" = $g2 || fail=1
+set _ $(ls -ln f); g=$5; test "$g" = $g1 || fail=1
+set _ $(ls -ln symlink); g=$5; test "$g" = $g2 || fail=1
chgrp $g2 f
-set _ `ls -ln f`; g=$5; test "$g" = $g2 || fail=1
+set _ $(ls -ln f); g=$5; test "$g" = $g2 || fail=1
# This *should* change the group of f.
# Though note that the diagnostic you'd get with -c is misleading in that
# it says the 'group of 'symlink'' has been changed.
chgrp --dereference $g1 symlink
-set _ `ls -ln f`; g=$5; test "$g" = $g1 || fail=1
-set _ `ls -ln symlink`; g=$5; test "$g" = $g2 || fail=1
+set _ $(ls -ln f); g=$5; test "$g" = $g1 || fail=1
+set _ $(ls -ln symlink); g=$5; test "$g" = $g2 || fail=1
Exit $fail
diff --git a/tests/chgrp/posix-H b/tests/chgrp/posix-H
index a6474f562..3965f1ff5 100755
--- a/tests/chgrp/posix-H
+++ b/tests/chgrp/posix-H
@@ -46,7 +46,7 @@ for i in $changed; do
# Filter out symlinks (entries that end in 's'), since it's not
# possible to change their group/owner information on some systems.
case $i in *s) continue;; esac
- set _ `ls -dgn $i`; shift
+ set _ $(ls -dgn $i); shift
group=$3
test $group = $g2 || fail=1
done
@@ -62,7 +62,7 @@ for i in $not_changed; do
# Filter out symlinks (entries that end in 's'), since it's not
# possible to change their group/owner information on some systems.
case $i in *s) continue;; esac
- set _ `ls -dgn $i`; shift
+ set _ $(ls -dgn $i); shift
group=$3
test $group = $g1 || fail=1
done
diff --git a/tests/chgrp/recurse b/tests/chgrp/recurse
index 9f9587bf3..95a910f6c 100755
--- a/tests/chgrp/recurse
+++ b/tests/chgrp/recurse
@@ -32,22 +32,22 @@ ln -s ../e d/s
chgrp -R $g1 e/ee || fail=1
# This should not should change the group of e/ee
chgrp -R $g2 d
-set _ `ls -ln e/ee`; g=$5; test "$g" = $g1 || fail=1
+set _ $(ls -ln e/ee); g=$5; test "$g" = $g1 || fail=1
# This must change the group of e/ee, since -L makes
# chgrp traverse the symlink from d/s into e.
chgrp -L -R $g2 d
-set _ `ls -ln e/ee`; g=$5; test "$g" = $g2 || fail=1
+set _ $(ls -ln e/ee); g=$5; test "$g" = $g2 || fail=1
# This must *not* change the group of e/ee
chgrp -H -R $g1 d
-set _ `ls -ln e/ee`; g=$5; test "$g" = $g2 || fail=1
+set _ $(ls -ln e/ee); g=$5; test "$g" = $g2 || fail=1
ln -s d link
# This shouldn't change the group of e/ee either.
chgrp -H -R $g1 link || fail=1
-set _ `ls -ln e/ee`; g=$5; test "$g" = $g2 || fail=1
+set _ $(ls -ln e/ee); g=$5; test "$g" = $g2 || fail=1
# But it *should* change d/dd.
-set _ `ls -ln d/dd`; g=$5; test "$g" = $g1 || fail=1
+set _ $(ls -ln d/dd); g=$5; test "$g" = $g1 || fail=1
Exit $fail